"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkGVOOAPLAcjs = require('./chunk-GVOOAPLA.cjs');



var _chunkEZB4PXZZcjs = require('./chunk-EZB4PXZZ.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkEZB4PXZZcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkEZB4PXZZcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkEZB4PXZZcjs.jsonToUint8Array.call(void 0, data);
    return await _chunkGVOOAPLAcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkGVOOAPLAcjs.decrypt.call(void 0, data, this.key);
    return _chunkEZB4PXZZcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-2P6TEB5M.cjs.map