"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunk2Q4Q3VX6cjs = require('./chunk-2Q4Q3VX6.cjs');




var _chunkB5PIG6YLcjs = require('./chunk-B5PIG6YL.cjs');



var _chunkQK5A4MK5cjs = require('./chunk-QK5A4MK5.cjs');



var _chunkSSHZQKW7cjs = require('./chunk-SSHZQKW7.cjs');


var _chunkMN7G6N6Gcjs = require('./chunk-MN7G6N6G.cjs');

// src/common/schema/env.ts
function parseSchemaEnv(schema, env = _nullishCoalesce(_optionalChain([process, 'optionalAccess', _ => _.env]), () => ( {})), prefix = "") {
  _chunkMN7G6N6Gcjs.assert.call(void 0, _chunk2Q4Q3VX6cjs.isSchemaObjectFlat.call(void 0, schema), "schema should be a flat object");
  const pl = prefix.length;
  if (pl > 0)
    env = _chunkSSHZQKW7cjs.objectFilter.call(void 0, env, (key) => key.startsWith(prefix));
  env = _chunkSSHZQKW7cjs.objectMap.call(void 0, env, (key, value) => {
    if (pl > 0)
      key = key.substring(pl);
    return [_chunkQK5A4MK5cjs.toCamelCase.call(void 0, key), value];
  });
  return _chunkSSHZQKW7cjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    let value = env[_chunkQK5A4MK5cjs.toCamelCase.call(void 0, key)];
    if (schema2.type === "number") {
      value = _chunkB5PIG6YLcjs.valueToInteger.call(void 0, value, schema2._default);
    } else if (schema2.type === "boolean") {
      if (schema2._default === true)
        value = _chunkB5PIG6YLcjs.valueToBooleanNotFalse.call(void 0, value);
      else
        value = _chunkB5PIG6YLcjs.valueToBoolean.call(void 0, value, false);
    }
    return schema2.parse(value);
  });
}
function stringFromSchemaEnv(schema, prefix = "", commentOut = false) {
  _chunkMN7G6N6Gcjs.assert.call(void 0, _chunk2Q4Q3VX6cjs.isSchemaObjectFlat.call(void 0, schema), "schema should be a flat object");
  const lines = [];
  _chunkSSHZQKW7cjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    lines.push(`${commentOut ? "# " : ""}${prefix + _chunkQK5A4MK5cjs.fromCamelCase.call(void 0, key, "_").toUpperCase()}=${_nullishCoalesce(schema2._default, () => ( ""))}`);
  });
  return lines.join("\n");
}




exports.parseSchemaEnv = parseSchemaEnv; exports.stringFromSchemaEnv = stringFromSchemaEnv;
//# sourceMappingURL=chunk-EIBIA44Q.cjs.map