import "../chunk-W7SXHTUN.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-WQPRL26Y.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-HDSJYWGU.js";
import "../chunk-WQJ47BZ7.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-RSB2DP4K.js";
import "../chunk-HOPWS6D4.js";
import "../chunk-OWFULLVR.js";
import "../chunk-YBJDAY56.js";
import "../chunk-TZ5CXZYL.js";
import "../chunk-2AXVHLEB.js";
import "../chunk-O7MQBX35.js";
import "../chunk-ZA5M5NJT.js";
import "../chunk-NUXB3GKS.js";
import "../chunk-KURNIGQP.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-ZG6VDVZD.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-LCRTQAGZ.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-G5QDKKDC.js";
import "../chunk-73CVRDI7.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-U2HB2W6R.js";
import "../chunk-XC5GAA5P.js";
import "../chunk-5DS3NT57.js";
import "../chunk-OHKABZ6C.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-SZJLXMYP.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-QGUPJAJO.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-TEDI6MZR.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-3YFOOUF5.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-4C3OMNSX.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-NEFIJY6U.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-BMPLIZZN.js";
import "../chunk-MMY72EVL.js";
import "../chunk-QAMZSJ27.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-OSX4VQOR.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-OC6HNIEN.js";
import "../chunk-BORRWM4T.js";
import "../chunk-HST4VI64.js";
import "../chunk-JRC62CQG.js";
import "../chunk-TRCJY7KG.js";
import "../chunk-L324TYGN.js";
import "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-CDC2UKQU.js";
import {
  DefaultLogger
} from "../chunk-XYJV3SSU.js";
import "../chunk-JZBMDET5.js";
import "../chunk-BFL67QFN.js";
import {
  decrypt,
  deriveKeyPbkdf2,
  digest,
  encrypt,
  randomUint8Array
} from "../chunk-MFUX7YH7.js";
import {
  equalBinary,
  toHex
} from "../chunk-MTV32UFZ.js";
import "../chunk-PMMHDI46.js";
import "../chunk-PN34O4SN.js";
import "../chunk-I45WP5PM.js";
import "../chunk-NNCJ3QL5.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AQUNU3KH.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/common/crypto.spec.ts
var log = DefaultLogger("crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(equalBinary(new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array.from({ length: 100 })).map(
      () => randomUint8Array(8)
    );
    let id;
    while (id = list.pop()) {
      expect(equalBinary(id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(id?.length).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(toHex(await digest("abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await digest(new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await deriveKeyPbkdf2(new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await encrypt(sample, key);
    const bin = await decrypt(cipher, key);
    expect(equalBinary(sample, bin)).toBe(true);
    const binFix = await decrypt(
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.js.map