import "../../chunk-W7SXHTUN.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-WQPRL26Y.js";
import "../../chunk-6NLXLMPR.js";
import "../../chunk-HDSJYWGU.js";
import "../../chunk-WQJ47BZ7.js";
import "../../chunk-HIX6EHLQ.js";
import "../../chunk-RSB2DP4K.js";
import "../../chunk-HOPWS6D4.js";
import "../../chunk-OWFULLVR.js";
import "../../chunk-YBJDAY56.js";
import "../../chunk-TZ5CXZYL.js";
import "../../chunk-2AXVHLEB.js";
import "../../chunk-O7MQBX35.js";
import "../../chunk-ZA5M5NJT.js";
import "../../chunk-NUXB3GKS.js";
import "../../chunk-KURNIGQP.js";
import "../../chunk-3KKFLSLG.js";
import "../../chunk-ZG6VDVZD.js";
import "../../chunk-PLBFBDKH.js";
import "../../chunk-2H4XRKWS.js";
import "../../chunk-NSJKG6AJ.js";
import "../../chunk-XBBCTS7U.js";
import "../../chunk-2OUSR2BE.js";
import {
  useSorted
} from "../../chunk-ZDZ4EQHN.js";
import "../../chunk-PZP2B3FC.js";
import "../../chunk-LCRTQAGZ.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-G5QDKKDC.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-EDNCPFSF.js";
import "../../chunk-U2HB2W6R.js";
import "../../chunk-XC5GAA5P.js";
import "../../chunk-5DS3NT57.js";
import "../../chunk-OHKABZ6C.js";
import "../../chunk-DVBRAJ3X.js";
import "../../chunk-SZJLXMYP.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-QGUPJAJO.js";
import "../../chunk-X56GIAWQ.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-TEDI6MZR.js";
import "../../chunk-WJUQ3VXF.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-LAWEUL6N.js";
import "../../chunk-3YFOOUF5.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-4C3OMNSX.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-NEFIJY6U.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-2VA3UGW7.js";
import "../../chunk-BMPLIZZN.js";
import "../../chunk-MMY72EVL.js";
import "../../chunk-QAMZSJ27.js";
import "../../chunk-5OVSRAPG.js";
import "../../chunk-OSX4VQOR.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-JRC62CQG.js";
import "../../chunk-TRCJY7KG.js";
import "../../chunk-L324TYGN.js";
import {
  arrayShuffleForce,
  arrayShuffleInPlace
} from "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-CDC2UKQU.js";
import "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-PMMHDI46.js";
import "../../chunk-PN34O4SN.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import {
  last
} from "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/data/sorted.spec.ts
describe("sorted", () => {
  const sorted = useSorted();
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort, index) => ({ index, sort }));
  it("should add correctly", () => {
    expect(sorted.start(items)).toBeLessThan(list[0]);
    expect(sorted.end(items)).toBeGreaterThan(last(list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = arrayShuffleForce(items);
    expect(shuffledItems.map((el) => el.sort)).not.toEqual(list);
    expect(sorted.items(shuffledItems).map((el) => el.sort)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort: i
      });
    }
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort = sorted.move(1, 8, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = sorted.items(items2);
    const moveItem2 = items2[1];
    arrayShuffleInPlace(items2);
    moveItem2.sort = sorted.move(8, 1, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sorted.spec.js.map