import {
  DebugChannel
} from "../../chunk-O7MQBX35.js";
import {
  ResillientChannel
} from "../../chunk-ZA5M5NJT.js";
import "../../chunk-KURNIGQP.js";
import "../../chunk-OSX4VQOR.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-JRC62CQG.js";
import "../../chunk-TRCJY7KG.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new ResillientChannel();
    rc.postMessage("1");
    const d1 = new DebugChannel();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new DebugChannel();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.js.map