"use strict"; function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkODTID2TCcjs = require('../../chunk-ODTID2TC.cjs');


var _chunk2P6TEB5Mcjs = require('../../chunk-2P6TEB5M.cjs');


var _chunkI33DGHK7cjs = require('../../chunk-I33DGHK7.cjs');
require('../../chunk-UJ54DCK2.cjs');
require('../../chunk-B5PIG6YL.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HC4FRUCO.cjs');
require('../../chunk-FGKARD4L.cjs');
require('../../chunk-64ZMDALJ.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');



var _chunkGVOOAPLAcjs = require('../../chunk-GVOOAPLA.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return _nullishCoalesce(args[0], () => ( 0));
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await _chunkGVOOAPLAcjs.deriveKeyPbkdf2.call(void 0, _chunkGVOOAPLAcjs.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _chunk2P6TEB5Mcjs.CryptoEncoder)(key);
    const [clientChannel, serverChannel] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const serverHub = _chunkODTID2TCcjs.useMessageHub.call(void 0, { channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = _chunkODTID2TCcjs.useMessageHub.call(void 0, { channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.cjs.map