import {
  useMessageHub
} from "../../chunk-YBJDAY56.js";
import {
  CryptoEncoder
} from "../../chunk-2AXVHLEB.js";
import {
  createLocalChannelPair
} from "../../chunk-NUXB3GKS.js";
import "../../chunk-KURNIGQP.js";
import "../../chunk-QGUPJAJO.js";
import "../../chunk-NEFIJY6U.js";
import "../../chunk-OSX4VQOR.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-TRCJY7KG.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import {
  deriveKeyPbkdf2,
  randomUint8Array
} from "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return args[0] ?? 0;
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const [clientChannel, serverChannel] = createLocalChannelPair();
    const serverHub = useMessageHub({ channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = useMessageHub({ channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.js.map