import {
  fetchText,
  parseBasicAuth
} from "../chunk-TEDI6MZR.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-XYJV3SSU.js";
import "../chunk-JZBMDET5.js";
import "../chunk-BFL67QFN.js";
import "../chunk-MTV32UFZ.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AQUNU3KH.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await fetchText("https://example.com");
      expect(html).toContain("<html");
    } else {
      const html = await fetchText("/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(parseBasicAuth(url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.js.map