"use strict";


var _chunkEIBIA44Qcjs = require('../../chunk-EIBIA44Q.cjs');
require('../../chunk-2Q4Q3VX6.cjs');





var _chunkHN6JW3BLcjs = require('../../chunk-HN6JW3BL.cjs');
require('../../chunk-B5PIG6YL.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-MN7G6N6G.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/env.spec.ts
describe("env.spec", () => {
  it("parse env", async () => {
    const schema = _chunkHN6JW3BLcjs.object.call(void 0, {
      ServiceName: _chunkHN6JW3BLcjs.string.call(void 0, ).default("generic"),
      servicePort: _chunkHN6JW3BLcjs.number.call(void 0, ).default(80),
      ServiceFlag: _chunkHN6JW3BLcjs.boolean.call(void 0, ).default(true)
    });
    const r = _chunkEIBIA44Qcjs.parseSchemaEnv.call(void 0, schema, {
      SERVICE_NAME: "SomeThing",
      SERVICE_PORT: " 8888 ",
      SERVICE_FLAG: "illegalValueTriggerDefault"
    });
    expect(r).toMatchInlineSnapshot(`
      Object {
        "ServiceFlag": true,
        "ServiceName": "SomeThing",
        "servicePort": 8888,
      }
    `);
  });
  it("parse prefix", async () => {
    const schema = _chunkHN6JW3BLcjs.object.call(void 0, {
      ServiceName: _chunkHN6JW3BLcjs.string.call(void 0, ).default("generic"),
      servicePort: _chunkHN6JW3BLcjs.number.call(void 0, ).default(80),
      ServiceFlag: _chunkHN6JW3BLcjs.boolean.call(void 0, ).default(true)
    });
    const r = _chunkEIBIA44Qcjs.parseSchemaEnv.call(void 0, schema, {
      SERVICE_NAME: "SomeThing",
      SERVICE_PORT: " 8888 ",
      APP_SERVICE_PORT: " 9999",
      SERVICE_FLAG: "illegalValueTriggerDefault"
    }, "APP_");
    expect(r).toMatchInlineSnapshot(`
      Object {
        "ServiceFlag": true,
        "ServiceName": "generic",
        "servicePort": 9999,
      }
    `);
    expect(_chunkEIBIA44Qcjs.stringFromSchemaEnv.call(void 0, schema, "APP_", true)).toMatchInlineSnapshot(`
      "# APP_SERVICE_NAME=generic
      # APP_SERVICE_PORT=80
      # APP_SERVICE_FLAG=true"
    `);
  });
});
//# sourceMappingURL=env.spec.cjs.map