"use strict";










var _chunkHN6JW3BLcjs = require('../../chunk-HN6JW3BL.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-CIO2RO42.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-KXWDOTVK.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-3IFQYDHV.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-ENA7BXIS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-W6VAQS23.cjs');
require('../../chunk-GYJO5LFO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-B5PIG6YL.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-FGKARD4L.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-VAG3XY63.cjs');


var _chunkW3WUDQICcjs = require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/schema.spec.ts
describe("schema", () => {
  it("create schema", async () => {
    const lit = _chunkHN6JW3BLcjs.stringLiterals.call(void 0, ["active", "trialing", "past_due", "paused", "deleted"]);
    expectTypeOf().toMatchTypeOf();
    const tup = _chunkHN6JW3BLcjs.tuple.call(void 0, [_chunkHN6JW3BLcjs.number.call(void 0, ), _chunkHN6JW3BLcjs.string.call(void 0, ), _chunkHN6JW3BLcjs.boolean.call(void 0, )]);
    expectTypeOf().toMatchTypeOf();
    const s1 = _chunkHN6JW3BLcjs.string.call(void 0, ).optional();
    expectTypeOf().toMatchTypeOf();
    const schema = _chunkHN6JW3BLcjs.object.call(void 0, {
      id: _chunkHN6JW3BLcjs.string.call(void 0, ).default("123"),
      // default(() => '123'),
      name: _chunkHN6JW3BLcjs.string.call(void 0, ),
      age: _chunkHN6JW3BLcjs.int.call(void 0, ).optional(),
      active: _chunkHN6JW3BLcjs.boolean.call(void 0, ),
      // status: stringLiterals(['active', 'trialing', 'past_due', 'paused', 'deleted']),
      // status: string<Status>(),
      obj: _chunkHN6JW3BLcjs.object.call(void 0, {
        test: _chunkHN6JW3BLcjs.float.call(void 0, )
      }).optional(),
      lit
    });
    const sample = {
      name: "Hello",
      age: 42,
      active: true,
      lit: "past_due"
    };
    expect(_chunkW3WUDQICcjs.cloneJsonObject.call(void 0, schema)).toMatchInlineSnapshot(`
      Object {
        "_object": Object {
          "active": Object {
            "type": "boolean",
          },
          "age": Object {
            "_optional": true,
            "type": "int",
          },
          "id": Object {
            "_default": "123",
            "type": "string",
          },
          "lit": Object {
            "type": "string",
          },
          "name": Object {
            "type": "string",
          },
          "obj": Object {
            "_object": Object {
              "test": Object {
                "type": "number",
              },
            },
            "_optional": true,
            "type": "object",
          },
        },
        "type": "object",
      }
    `);
    expect(schema.parse(sample)).toMatchInlineSnapshot(`
      Object {
        "active": true,
        "age": 42,
        "id": "123",
        "lit": "past_due",
        "name": "Hello",
      }
    `);
    expect(schema.map(sample, (v, s) => {
      if (s.type === "boolean") {
        return v ? "on" : "off";
      }
    })).toMatchInlineSnapshot(`
      Object {
        "active": "on",
        "age": 42,
        "lit": "past_due",
        "name": "Hello",
        "obj": Object {},
      }
    `);
    expect(schema.map(sample, function(v) {
      if (this.type === "boolean") {
        return v ? "yes" : "no";
      }
    })).toMatchInlineSnapshot(`
      Object {
        "active": "yes",
        "age": 42,
        "lit": "past_due",
        "name": "Hello",
        "obj": Object {},
      }
    `);
  });
  it("union", async () => {
    const literals = [
      _chunkHN6JW3BLcjs.literal.call(void 0, "one"),
      _chunkHN6JW3BLcjs.literal.call(void 0, "two"),
      _chunkHN6JW3BLcjs.literal.call(void 0, "three")
    ];
    const schema = _chunkHN6JW3BLcjs.object.call(void 0, {
      id: _chunkHN6JW3BLcjs.string.call(void 0, ).default(() => "123").props({
        // someProp: 'someValue',
      }),
      literal: _chunkHN6JW3BLcjs.literal.call(void 0, "demo"),
      name: _chunkHN6JW3BLcjs.union.call(void 0, literals)
    });
    const sample = {
      literal: "demo",
      name: "two"
    };
    expect(_chunkW3WUDQICcjs.cloneJsonObject.call(void 0, schema)).toMatchInlineSnapshot(`
      Object {
        "_object": Object {
          "id": Object {
            "_props": Object {},
            "type": "string",
          },
          "literal": Object {
            "type": "string",
          },
          "name": Object {
            "type": "string",
          },
        },
        "type": "object",
      }
    `);
    expect(schema.parse(sample)).toMatchInlineSnapshot(`
      Object {
        "id": "123",
        "literal": "demo",
        "name": "two",
      }
    `);
  });
  it("union with object", async () => {
    const obj = _chunkHN6JW3BLcjs.union.call(void 0, [
      _chunkHN6JW3BLcjs.object.call(void 0, { subscription: _chunkHN6JW3BLcjs.literal.call(void 0, true), subscriptionId: _chunkHN6JW3BLcjs.string.call(void 0, ) }),
      _chunkHN6JW3BLcjs.object.call(void 0, { subscription: _chunkHN6JW3BLcjs.literal.call(void 0, false), licenseId: _chunkHN6JW3BLcjs.string.call(void 0, ) })
    ]);
    expectTypeOf().toMatchTypeOf();
  });
});
//# sourceMappingURL=schema.spec.cjs.map